-1
jason hendry 7 years ago • updated by Jon Skinner 7 years ago 1
when installing, it is normally good practice to remove the previous instance. i can appreciate this is a lean editor, however, i had the previous instance open and the installer failed because the binary was locked. uninstalling the previous version should alleviate that problem.
In general, it will happily install over the top of the previous version - there's no need to uninstall the previous version first.

The only issue is the one you ran into, which occurs when Sublime Text is currently open. This would also be as issue for an uninstall.